<?php

class Epicpaws_Customizer_Control_Repeater extends Epicpaws_Customizer_Control_Base {
	static function field_template() {
		?>
		<script type="text/html" id="tmpl-field-epicpaws-repeater">
			<?php
			self::before_field();
			?>
			<?php echo self::field_header(); ?>
			<div class="epicpaws-field-settings-inner">
			</div>
			<?php
			self::after_field();
			?>
		</script>
		<script type="text/html" id="tmpl-customize-control-repeater-item">
			<div class="epicpaws--repeater-item">
				<div class="epicpaws--repeater-item-heading">
					<label class="epicpaws--repeater-visible" title="<?php esc_attr_e( 'Toggle item visible', 'epicpaws' ); ?>">
						<input type="checkbox" class="r-visible-input">
						<span class="r-visible-icon"></span>
						<span class="screen-reader-text"><?php _e( 'Show', 'epicpaws' ); ?></label>
					<span class="epicpaws--repeater-live-title"></span>
					<div class="epicpaws-nav-reorder">
						<span class="epicpaws--down" tabindex="-1">
							<span class="screen-reader-text"><?php _e( 'Move Down', 'epicpaws' ); ?></span></span>
						<span class="epicpaws--up" tabindex="0">
							<span class="screen-reader-text"><?php _e( 'Move Up', 'epicpaws' ); ?></span>
						</span>
					</div>
					<a href="#" class="epicpaws--repeater-item-toggle">
						<span class="screen-reader-text"><?php _e( 'Close', 'epicpaws' ); ?></span></a>
				</div>
				<div class="epicpaws--repeater-item-settings">
					<div class="epicpaws--repeater-item-inside">
						<div class="epicpaws--repeater-item-inner"></div>
						<# if ( data.addable ){ #>
						<a href="#" class="epicpaws--remove"><?php _e( 'Remove', 'epicpaws' ); ?></a>
						<# } #>
					</div>
				</div>
			</div>
		</script>
		<script type="text/html" id="tmpl-customize-control-repeater-inner">
			<div class="epicpaws--repeater-inner">
				<div class="epicpaws--settings-fields epicpaws--repeater-items"></div>
				<div class="epicpaws--repeater-actions">
				<a href="#" class="epicpaws--repeater-reorder"
				data-text="<?php esc_attr_e( 'Reorder', 'epicpaws' ); ?>"
				data-done="<?php _e( 'Done', 'epicpaws' ); ?>"><?php _e( 'Reorder', 'epicpaws' ); ?></a>
					<# if ( data.addable ){ #>
					<button type="button"
							class="button epicpaws--repeater-add-new"><?php _e( 'Add an item', 'epicpaws' ); ?></button>
					<# } #>
				</div>
			</div>
		</script>
		<?php
	}
}
