<?php
class Epicpaws_Customizer_Control_Typography extends Epicpaws_Customizer_Control_Base {
	static function field_template() {
		echo '<script type="text/html" id="tmpl-field-epicpaws-typography">';
		self::before_field();
		?>
		<?php echo self::field_header(); ?>
		<div class="epicpaws-actions">
			<a href="#" class="action--reset" data-control="{{ field.name }}" title="<?php esc_attr_e( 'Reset to default', 'epicpaws' ); ?>"><span class="dashicons dashicons-image-rotate"></span></a>
			<a href="#" class="action--edit" data-control="{{ field.name }}" title="<?php esc_attr_e( 'Toggle edit panel', 'epicpaws' ); ?>"><span class="dashicons dashicons-editor-textcolor"></span></a>
		</div>
		<div class="epicpaws-field-settings-inner">
			<input type="hidden" class="epicpaws-typography-input epicpaws-only" data-name="{{ field.name }}" value="{{ JSON.stringify( field.value ) }}" data-default="{{ JSON.stringify( field.default ) }}">
		</div>
		<?php
		self::after_field();
		echo '</script>';
		?>
		<div id="epicpaws-typography-panel" class="epicpaws-typography-panel">
			<div class="epicpaws-typography-panel--inner">
				<input type="hidden" id="epicpaws--font-type">
				<div id="epicpaws-typography-panel--fields"></div>
			</div>
		</div>
		<?php
	}
}
