<?php
class Epicpaws_Customizer_Control_Modal extends Epicpaws_Customizer_Control_Base {
	static function field_template() {
		echo '<script type="text/html" id="tmpl-field-epicpaws-modal">';
		self::before_field();
		?>
		<?php echo self::field_header(); ?>
		<div class="epicpaws-actions">
			<a href="#" title="<?php esc_attr_e( 'Reset to default', 'epicpaws' ); ?>" class="action--reset" data-control="{{ field.name }}"><span class="dashicons dashicons-image-rotate"></span></a>
			<a href="#" title="<?php esc_attr_e( 'Toggle edit panel', 'epicpaws' ); ?>" class="action--edit" data-control="{{ field.name }}"><span class="dashicons dashicons-edit"></span></a>
		</div>
		<div class="epicpaws-field-settings-inner">
			<input type="hidden" class="epicpaws-hidden-modal-input epicpaws-only" data-name="{{ field.name }}" value="{{ JSON.stringify( field.value ) }}" data-default="{{ JSON.stringify( field.default ) }}">
		</div>
		<?php
		self::after_field();
		echo '</script>';
		?>
		<script type="text/html" id="tmpl-epicpaws-modal-settings">
			<div class="epicpaws-modal-settings">
				<div class="epicpaws-modal-settings--inner">
					<div class="epicpaws-modal-settings--fields"></div>
				</div>
			</div>
		</script>
		<?php
	}
}
